/*
 * ##################################################### Start Product Addon #####################################################
 */

// Add product specific setting here. Product specific settings are superior to manufacturer settings.
  
MainSite.prototype.configureProductSettings = function() {
  this.kimFriendlyName = 'Gira X1';
  this.appFeatures.Sonos = { 'UseChannelNames': true, 'MaxSupportedMaster': 8, 'MaxSupportedSlaves': 0 };
}

StatusPage.prototype.configureProductRequestData = function() {
  var thisClass = this;
    if (!mainSite.timer.getAppFeatures) {
      mainSite.timer.getAppFeatures = new TimedRequest(INTERVAL.HALFMINUTE, 'getAppFeatures', '', function(response){
          if (response && !response.error){
            mainSite.setAppFeatures('Sonos', response);
          }}, thisClass);
      mainSite.timer.getAppFeatures.addCallbackFunction(thisClass.update);
    } else {
      mainSite.timer.getAppFeatures.timeout = INTERVAL.HALFMINUTE;
      mainSite.timer.getAppFeatures.addCallbackFunction(thisClass.update);
    }
    mainSite.timer.getAppFeatures.resetTimeout();
    mainSite.timer.getAppFeatures.oneShot();
}

MainSite.prototype.addProductTopNavMenuItems = function() {
  this.pages['LoginPage'] = new LoginPage();

  this.menu.insertAfter(new MenuItem('playlist_config', 'PlaylistConfigurationPage'), this.menu.device_status);
  this.pages['PlaylistConfigurationPage'] = new PlaylistConfigurationPage();
  this.headerMenu = ((new Menu(new MenuItem('logout', 'LogoutPage'))));
  this.headerMenu.add(new MenuItem('login', 'LoginPage'));
  this.pages['LogoutPage'] = new LogoutPage();
  this.menu.insertAfter(new MenuItem('diagnostic_page', 'DiagnosticPage'), this.menu.firmware_update);
  this.pages['DiagnosticPage'] = new ExternalLink(GetHttpsURL(window.location.host, 4433, '/discovery/presentation'));
}

/*
 * ##################################################### End Product Addon #####################################################
 */
